SpreePiwik
==========

Adds piwik tracking with Ecommerce tracking

Status
------

[![Build Status](https://travis-ci.org/berkes/spree_piwik.svg?branch=develop)](https://travis-ci.org/berkes/spree_piwik)
[![Code Climate](https://codeclimate.com/github/berkes/spree_piwik/badges/gpa.svg)](https://codeclimate.com/github/berkes/spree_piwik)

Installation
------------

Add spree_piwik to your Gemfile:

```ruby
gem 'spree_piwik'
```

Bundle your dependencies and run the installation generator:

```shell
bundle
bundle exec rails g spree_piwik:install
```

Add your Piwik URL and site-id to the `config/initializers/spree_piwik.rb`

For example:
```ruby
Spree::Piwik::Config[:piwik_url] = "piwik.example.com"
Spree::Piwik::Config[:piwik_id] =  1337

```
Will use http(s)://piwik.example.com/ as url for your Piwik. And track
stats for the site that has the id 1337 in Piwik.


Screenshot
----------

![Screenshot of the Ecommerce functionality in action with this extension](doc/spree_piwik.png).

Testing
-------

First bundle your dependencies, then run `rake`. `rake` will default to building the dummy app if it does not exist, then it will run specs. The dummy app can be regenerated by using `rake test_app`.

```shell
bundle
bundle exec rake
```

When testing your applications integration with this extension you may use it's factories.
Simply add this require statement to your spec_helper:


License
-------

SpreePiwik is released under the [New BSD License](https://github.com/spree/spree/blob/master/license.md) similar to Spree.
